:root{
    --border-faint-color: rgba(114, 114, 114, 0.2);
}
.tjenester-utvalgte-liste {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1rem;
    padding: 1rem;
    width: 110%;
    transform: translateX(-5%);
}

.tjeneste-tile {
    display: flex;


    /* max-width: 49vw;
    max-height: 49vh; */
    aspect-ratio: 1/1;
    width: 200px;
    height: 200px;
    flex-direction: column;
    contain: content;
    transition-duration: 0.3s;
    /* background-color: #444444;
    border: 1px solid rgba(255, 255, 255, 0.03); */

    background-color: #1b1b1b;
border: 1px solid rgba(255, 255, 255, 0.08);
    /* box-shadow: 0 -1px 51px -21px #00abff;
    box-shadow: 0 -1px 100px 21px rgba(0, 171, 255, 0.07); */
    /* filter: blur(0.5px); */
    filter: opacity(0.7) grayscale(0.7);
    /* border: 2px solid rgba(88, 185, 255, 0.47); */

    /* background-blend-mode: lighten; */
    border-radius: 15px;
    border-radius: 0px;
    background-color: #1b1b1b75;
    background-blend-mode: exclusion;
}
.tjeneste-tile div, .transition-tile img{
    transition-duration: 1.5s;
}

.tjeneste-tile-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    /* background-color: rgba(72, 78, 79, 0.19); */
    /* background-color: rgba(60, 33, 12, 0.62); */
    /* color: white; */
    font-size: 1.5rem;
    font-weight: bold;
    text-align: center;
    padding: 1rem;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}
/*
 *
 * T J E N E S T E   C A T E G O R Y
 *
 */

.tjeneste-category-old{
    /* background-color: rgba(255, 255, 255, 0.27);
    color: rgb(0, 255, 53);
    color: white; */

    background-color: rgba(18, 18, 18, 0.92);
    font-weight: 300;
    /* font-size: 4px; */
    color: white;
    /* color: var(--hopland-digital-green); */
    font-size: 0.9rem;
    border-radius: 12px;
    padding-right: 8px;
    padding-left: 8px;
    position: absolute;
    /* transform: translate(53px,-67px); */
    transform: translate(-15%,-66px);
    right: 0px;
}
.tjeneste-category{
        background-color: rgb(18 18 18 / 58%);
    font-weight: 300;
    color: white;
    font-size: 0.8rem !important;
    border-radius: 12px;
    border-radius: 1px 1px 1px 5px;
    padding: 2px;
    padding-right: 10px;
    padding-left: 10px;
    position: absolute;
    transform: translate(-9px, -70px);
    right: 0px;
    opacity: 0.1;
    transition-duration: 0.3s;
}

.tjeneste-tile:hover .tjeneste-category{
    background-color: rgb(18 18 18 / 85%);
    opacity: 1;
}




.tjeneste-title-container{
    width: 100%;
    height: 31%;
    /* background-color: red; */
    transform: translate(0px, 66px);
    transform: translate(0px, 56px) scale(0.8);


    backdrop-filter: blur(3px);
border-radius: 5px;
/* box-shadow: -2px 5px 33px -4px rgba(0, 0, 0, 0.67);
border: 1px solid rgba(163, 163, 163, 0.21);
display: flex;
justify-content: center;
align-items: center;
background-color: rgba(122, 122, 122, 0.16); */
}


/*
 *
 *  L E S   M E R   K N A P P
 *
 */
.tjeneste-tile .tjeneste-les-mer-knapp-gammel{
    position: absolute;
    /* transform: translateY(162px); */
    transform: translate(0px,78px) scale(0.8);
    opacity: 0;
    transition-duration: 0.4s;
    transition: opacity 0.4s ease, transform 0.4s ease;
}

.tjeneste-tile .tjeneste-info-button{
    opacity: 0;
    transition-duration: 0.2s;
    /* transition: opacity 0.4s ease, transform 0.4s ease; */
    transform: translateY(60px);


    width: 100%;
    bottom: 0px;
    position: fixed;
    padding: 6px;
    contain: content;

    border: 1px solid #82828230;
    border: 1px solid var(--border-faint-color);
    border-radius: 0px 0px 8px 8px;

    background-color: transparent;
    color: #ffffffb5;
    
    font-size: 0.8rem;
    font-family: "roboto-thin";
}
.tjeneste-tile:hover .tjeneste-info-button{
    transform: translateY(0px);
    opacity: 1;
    text-shadow: 
    0px 0px 1px transparent, 
    0px 0px 40px transparent, 
    0px 0px 50px transparent,
    0px 0px 60px transparent,
    0px 0px 70px transparent,
    0px 0px 75px transparent;

    text-shadow: 
    0px 0px 1px transparent,
    0px 0px 40px transparent,
    0px 0px 50px transparent,
    0px 0px 60px transparent,
    0px 0px 70px transparent,
    -58px 0px 33px transparent,
    48px 0px 33px transparent,
    0px 0px 70px transparent,
    0px 0px 80px transparent,
    0px 0px 90px transparent,
    0px 0px 75px transparent;

    box-shadow: inset 0 0 5px transparent;
    transition-duration: 0.1s;
}
.tjeneste-tile:hover .tjeneste-info-button:hover{
    background-color: #00000030;
    border-color: #ffffff25;
    color: var(--hopland-digital-orange);
    color: #ffbb44;
    text-shadow: 
    0px 0px 1px var(--hopland-digital-orange-lighter), 
    0px 0px 40px var(--hopland-digital-orange-lighter), 
    0px 0px 50px var(--hopland-digital-orange-lighter),
    0px 0px 60px var(--hopland-digital-orange-lighter),
    0px 0px 70px var(--hopland-digital-orange-lighter),

    0px 0px 25px var(--hopland-digital-orange-lighter), 
    0px 0px 60px var(--hopland-digital-orange-lighter), 
    0px 0px 70px var(--hopland-digital-orange-lighter),
    0px 0px 80px var(--hopland-digital-orange-lighter),
    0px 0px 90px var(--hopland-digital-orange-lighter),

    0px 0px 75px var(--hopland-digital-orange-lighter);

    box-shadow: inset 0 0 10px var(--hopland-digital-orange-lighter);


    /* text-shadow: 0px 0px 1px var(--hopland-digital-orange-lighter), 0px 0px 40px var(--hopland-digital-orange-lighter), 0px 0px 50px var(--hopland-digital-orange-lighter), 0px 0px 60px var(--hopland-digital-orange-lighter), 0px 0px 70px var(--hopland-digital-orange-lighter), -68px 0px 33px var(--hopland-digital-orange-lighter), 58px 0px 33px var(--hopland-digital-orange-lighter), 0px 0px 70px var(--hopland-digital-orange-lighter), 0px 0px 80px var(--hopland-digital-orange-lighter), 0px 0px 90px var(--hopland-digital-orange-lighter), 0px 0px 75px var(--hopland-digital-orange-lighter); */
    text-shadow: 0px 0px 1px var(--hopland-digital-orange-lighter), 
    0px 0px 40px var(--hopland-digital-orange-lighter), 
    0px 0px 50px var(--hopland-digital-orange-lighter),
    0px 0px 60px var(--hopland-digital-orange-lighter),
    0px 0px 70px var(--hopland-digital-orange-lighter),



    0px 0px 75px var(--hopland-digital-orange-lighter);
    box-shadow: inset 0 0 13px -10px var(--hopland-digital-orange-lighter);
}

.tjeneste-tile:hover .tjeneste-info-button:active{
    transform: translateY(2px) scale(0.95);
}


.tjeneste-image-container{
    width: 100%;
    height: 100%;
    position: relative;
    transition-duration: 0.3s;

    /* transform: translateY(-50%); */

    width: 100%;
    height: 68%;
    position: relative;
    transition-duration: 0.3s;
    /* transform: translateY(-50%); */
    top: 50%;
    left: 50%;
    transform: translate(-50%, -74%) scale(0.9);
    border-radius: 10px;
    contain: content;
    box-shadow: 0px 0px 7px 4px black;
    box-shadow: 0px 0px 7px 4px #00000059;

    height: 100%;
    top: 74%;
    border-radius: 3px;
}

.tjeneste-image-container img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    transition-duration: 0.5s;

    transform: scale(1);
}

.tjeneste-tile-loading-spinner{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    opacity: 0;
    display: none;
}

/* LOADING */
.tjeneste-tile-loading .tjeneste-tile-content{
    opacity: 2;
    filter: blur(5px);
}


.tjeneste-tile-loading .tjeneste-tile-loading-spinner{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    opacity: 1;
    display: block;
}



/* Hover effects */
.tjeneste-tile:hover{
    /* filter: blur(0px); */
    filter: opacity(1);
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border: 2px solid rgba(88, 185, 255, 0.728);
    transform: scale(1.05);
}

.tjeneste-tile:hover .tjeneste-tile-content {
    background-color: rgba(0, 0, 0, 0.2);
}

.tjeneste-tile:hover .tjeneste-les-mer-knapp{
    transform: translateY(62px);
    transform: translate(0px,78px) scale(0.8);
    opacity: 1;
}
.tjeneste-tile:hover .tjeneste-image-container img {
    transform: scale(1.1);
    
}
.tjeneste-tile-content:hover {
    background-color: rgba(0, 0, 0, 0.2);
}






/*

 TJENESTE _ MODAL

*/
.tjeneste-modal-container{
    position: fixed;
    height: calc(100vh - 90px);
    width: 100vw;
    width: 97%;
    /* padding: 10px;
    padding-top: 40px; */
    top: 85px;

    height: calc(88vh - 90px);
    width: 65%;
    top: 150px;
    background-color: rgba(29, 29, 29, 0.9);
    z-index: 1000;
    backdrop-filter: blur(4px);
    transition-duration: 0.3s;
    opacity: 0;
    animation: tjeneste_modal_container_fade_in_animation 0.2s ease-in-out forwards;

    box-shadow: 0 -1px 51px -21px #00abff;
    box-shadow: 0 -1px 100px 21px rgba(0, 171, 255, 0.07) inset;
    box-shadow: 0 -1px 100px 21px rgba(0, 0, 0, 0.07) inset;
    /* filter: blur(0.5px); */
    /* filter: opacity(0.5); */
    /* border: 2px solid rgba(88, 185, 255, 0.47); */
    /* background-blend-mode: lighten; */
    border-radius: 5px;
    contain: content;

    display: grid;
    grid-template-rows: 75px 4fr 75px;
    grid-template-columns: 75px 4fr 75px;
}



.tjeneste-modal-header{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 20px;
    background-color: rgb(29, 29, 29);
    background-color: var(--hopland-digital-off-white);
    color: var(--hopland-digital-weak-grey);
    backdrop-filter: blur(4px);
    border-bottom: 1px solid rgba(88, 185, 255, 0.47);
    /* border-radius: 15px 15px 0px 0px; */

    grid-row: 1;
    grid-column: 1 / span 3;
}



.tjeneste-modal-body{
    /* display: flex;
    justify-content: space-between;
    flex-direction: column;

    align-items: center;
    padding: 10px 20px;
    background-color: rgba(29, 29, 29, 0.65);
    backdrop-filter: blur(4px);
    border-bottom: 1px solid rgba(88, 185, 255, 0.47);
    border-top: 1px solid rgba(88, 185, 255, 0.47);

    background-color: rgba(20, 20, 20, 0.67);
    box-shadow: 0 3px 12px -2px black;

    transform: scale(0.9);
    border-radius: 5px;

    grid-row: 2;
    grid-column: 2 / span 1; */
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;
    padding: 10px 20px;
    /* background-color: rgba(29, 29, 29, 0.65); */
    backdrop-filter: blur(20px);
    /* border-bottom: 1px solid rgba(88, 185, 255, 0.47); */
    /* border-top: 1px solid rgba(88, 185, 255, 0.47); */
    /* background-color: rgba(20, 20, 20, 0.67); */
    /* box-shadow: 0 3px 12px -2px black; */
    transform: scale(0.9);
    border-radius: 5px;
    grid-row: 2;
    grid-column: 2 / span 1;
    border-color: var(--border-faint-color);
    border: 1px solid var(--border-faint-color);

    font-family: "roboto-thin";
}

.tjeneste-modal-beskrivelse{
    background-color: #1a1a1aa6;
    border-radius: 10px;
    padding: 20px;
    padding: 60px;
    background-color: #151515;
    margin: auto;
}
.tjeneste-modal-beskrivelse p{
    margin: 0;
    padding: 0;
    line-height: 1.6;
    letter-spacing: 0.5px;
    color: var(--hopland-digital-off-white);
    font-size: 1rem;
}
.tjeneste-modal-pris{
    width: 100%;
    border-top: 1px solid var(--border-faint-color);
}

.tjeneste-modal-footer{
    display: flex;
    justify-content: flex-end;
    align-items: center;
    /* padding: 10px 20px;
    background-color: rgb(29, 29, 29);
    background-color: var(--hopland-digital-off-white);
    color: var(--hopland-digital-weak-grey);
    backdrop-filter: blur(4px); */
    /* border-radius: 0px 0px 15px 15px; */
    grid-row: 3;
    grid-column: 1 / span 3;
    border-radius: 15px;
    background-color: #1e1e1e !important;
    contain: content;
        transform: scale(0.8);
}

.tjeneste-modal-header, .tjeneste-modal-footer{
    box-shadow: 0 -1px 51px -21px #00abff;
    box-shadow: 0 -1px 100px 21px rgba(0, 26, 39, 0.07);

    border: 1px solid var(--border-faint-color);
    background-color: transparent;
        background-color: #1b1b1b8c;
    color: var(--hopland-digital-off-white);
    /* border-radius: 0px; */
    backdrop-filter: blur(20px);
    --webkit-backdrop-filter: blur(20px);
}

.tjeneste-modal-background{
    position: absolute;
    top: 0px;
    left: 0px;
    height: 100%;
    width: 100%;
    z-index: -1;
}
.tjeneste-modal-background img{
    object-fit: cover;
    height: 100%;
    width: 100%;
    opacity: 0.3;
    opacity: 0.7;
}

.tjeneste-modal-background-cover-dark{
    position: fixed;
    top: 0px;
    left: 0px;
    height: 100vh;
    width: 100vw;
    z-index: 100;
    background-color: rgba(0, 0, 0, 0.60);
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);
}

.close-modal-button{
    
    /* transform: translate(-16px); */
}
/*
 * - - - - - - - - - - - - - - - - - - - -  
 * C L O S E   M O D A L   B U T T O N
 * - - - - - - - - - - - - - - - - - - - -
 */
.tjeneste-modal-container .close-modal-button{
    grid-column: 3;
    grid-row: 1;
    z-index: 1;
    aspect-ratio: 1 / 1;
    height: 100%;


    background-color: transparent;
    border: 0px;
    border-left: 1px solid #8080802e;
    border-bottom:1px solid transparent;
    
    width: auto;
    color: #bdbdbd;
    text-shadow: 0px 0px 2px rgba(255, 0, 0, 0.182), 0px 0px 4px rgba(255, 0, 0, 0rgba(255, 0, 0, 0.103)7), 0px 0px 6px red;
    transition-duration: 0.2s;
}

.tjeneste-modal-container .close-modal-button:hover{
    background-color: #00000054;
    color: #ff0f0f;
    text-shadow: -9px -10px 9px rgb(255, 0, 0), 10px 9px 12px rgba(255, 0, 0, 1), 0px 0px 8px red, 0px 0px 30px red, 0px 0px 40px red;
    border-bottom: 1px solid #ff00002e;
    border-color: #ff00002e;
}
.tjeneste-modal-container .close-modal-button:active{
    transform: scale(0.95);
}


.tjeneste-modal-container .tjeste-tittel h2{
     font-family: roboto-thin;
    letter-spacing: 2px;
    font-size: larger;
}

.modal-footer-link-button{
        height: 100%;
    display: flex;
    align-content: center;
    align-items: center;
    /* margin: 20px; */
    border-left: 1px solid var(--border-faint-color);
    padding: 30px;
    transition-duration: 0.2s;
}
.modal-footer-link-button:hover{
    background-color: #00000054;
    /* color: #00ffff; */
    text-shadow: 0px 0px 1px var(--hopland-digital-orange-lighter), 0px 0px 30px var(--hopland-digital-orange-lighter), 0px 0px 40px var(--hopland-digital-orange-lighter);
}

.custom-p-footer{
    flex-grow: 1;
    margin: 0;
    padding: 30px;
    justify-content: flex-end;
    display: flex;
    align-items: center;
    opacity: 0.8;
}

@keyframes tjeneste_modal_container_fade_in_animation{
    0%{
        opacity: 0;
    }

    100%{
        opacity: 1;
    }
}

@media screen and (max-width: 768px) {
    
    .tjeneste-modal-container {
        height: calc(80vh - 90px);
        width: 90%;
        top: 120px;
        /* padding-top: 20px; */
    }
    .tjeneste-modal-body{
        grid-column: 1 / span 3;
    }
    
    .tjeneste-modal-beskrivelse{
        padding: 40px;
    }
}
